Last Comment Bug 764546 - Temporary fix for: Hotmail no longer auto-updates (due to "globalStorage" removal)
: Temporary fix for: Hotmail no longer auto-updates (due to "globalStorage" rem...
Status: VERIFIED FIXED
: regression
Product: Core
Classification: Components
Component: DOM (show other bugs)
: 13 Branch
: All All
: -- major (vote)
: mozilla13
Assigned To: Honza Bambas (:mayhemer)
:
Mentors:
Depends on:
Blocks: 687579 736731 745516 762170
  Show dependency treegraph
 
Reported: 2012-06-13 13:26 PDT by Honza Bambas (:mayhemer)
Modified: 2012-07-27 02:59 PDT (History)
18 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified
-
unaffected
-
unaffected


Attachments
v1 (62.39 KB, patch)
2012-06-13 13:26 PDT, Honza Bambas (:mayhemer)
jst: review+
akeybl: approval‑mozilla‑release+
Details | Diff | Review
INTERDIFF v1 -> v1.1 (9.43 KB, patch)
2012-06-13 17:30 PDT, Honza Bambas (:mayhemer)
jst: review+
Details | Diff | Review
v1.1 (68.62 KB, patch)
2012-06-13 17:30 PDT, Honza Bambas (:mayhemer)
no flags Details | Diff | Review
v1.1 as landed (67.73 KB, patch)
2012-06-13 18:48 PDT, Honza Bambas (:mayhemer)
no flags Details | Diff | Review
revert patches from bug 732708 from beta (31.56 KB, patch)
2012-06-21 08:38 PDT, Honza Bambas (:mayhemer)
Ms2ger: review+
lukasblakk+bugs: approval‑mozilla‑beta+
Details | Diff | Review
v1.1 for the beta channel (68.51 KB, patch)
2012-06-21 08:41 PDT, Honza Bambas (:mayhemer)
honzab.moz: review+
lukasblakk+bugs: approval‑mozilla‑beta+
Details | Diff | Review

Description Honza Bambas (:mayhemer) 2012-06-13 13:26:06 PDT
Created attachment 632843 [details] [diff] [review]
v1

+++ This bug was initially created as a clone of Bug #736731 +++

User Agent: Mozilla/5.0 (Windows NT 6.1; rv:14.0) Gecko/20120316 Firefox/14.0a1
Build ID: 20120316031151

Steps to reproduce:

Logged into my Hotmail account. Hotmail no longer automatically updates the list of emails and count in title bar. Does so in IE.



Expected results:

The web page should have checked for updates.
Comment 1 Johnny Stenback (:jst, jst@mozilla.com) 2012-06-13 14:02:34 PDT
Comment on attachment 632843 [details] [diff] [review]
v1

- In dom/interfaces/base/nsIDOMWindow.idl:

@@ -500,16 +500,21 @@ interface nsIDOMWindow : nsISupports
   readonly attribute long long mozAnimationStartTime;
 
   /**
    * @see <http://dev.w3.org/2006/webapi/FileAPI/#creating-revoking>
    */
   readonly attribute nsIDOMMozURLProperty URL;
 
   /**
+   * Global storage, accessible by domain.
+   */
+  readonly attribute nsIDOMStorageList globalStorage;

Given that we're taking this on the release branch we'll need to create a new interface, i.e. something like nsIDOMWindow_globalStorage (in the same idl file is fine), inheriting only from nsISupports, and make nsGlobalWindow implement that interface (i.e. inherit from it, and add it to the QI map in nsGlobalWindow.cpp), and then add that interface to DOM_CLASSINFO_WINDOW_MAP_ENTRIES in nsDOMClassInfo.cpp. That way we'll be binary compatible with what we've already released.

- In dom/interfaces/storage/nsPIDOMStorage.h

We should at the very least update the IID for this interface. If we do that, I'd be comfortable shipping this, even if we're technically changing an interface here as well. The alternative is to create a new interface here, but that means we'd need to change the value of the enums to something it's never been before, and I think that scares me more than shipping a changed IID to this interface.

r=jst with that.
Comment 2 Honza Bambas (:mayhemer) 2012-06-13 17:30:08 PDT
Created attachment 632971 [details] [diff] [review]
INTERDIFF v1 -> v1.1

- according the review comments
- not sure whether to change iid of nsIDOMWindow now...
Comment 3 Honza Bambas (:mayhemer) 2012-06-13 17:30:24 PDT
Created attachment 632972 [details] [diff] [review]
v1.1
Comment 4 Johnny Stenback (:jst, jst@mozilla.com) 2012-06-13 18:07:34 PDT
Comment on attachment 632971 [details] [diff] [review]
INTERDIFF v1 -> v1.1

We should leave the nsIDOMWindow IID *unchanged*, so please revert that, and this is good to go!
Comment 5 Honza Bambas (:mayhemer) 2012-06-13 18:48:08 PDT
Created attachment 632989 [details] [diff] [review]
v1.1 as landed

https://hg.mozilla.org/releases/mozilla-release/rev/8f340a9bf905
Comment 6 Johnny Stenback (:jst, jst@mozilla.com) 2012-06-13 22:36:55 PDT
Looks all green on tbpl. Marking fixed for 13. Thanks Honza for the very quick turnaround!
Comment 7 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-06-14 16:01:13 PDT
Verified fixed in Firefox 13.0.1.
Comment 8 j.j. 2012-06-16 02:45:08 PDT
Editing summary to avoid confusion.
Comment 9 Alex Keybl [:akeybl] 2012-06-20 15:47:00 PDT
Can we do the same to FF14? It sounds like MS may not have a fix for bug 736731 prior.
Comment 10 Honza Bambas (:mayhemer) 2012-06-21 08:38:50 PDT
Created attachment 635333 [details] [diff] [review]
revert patches from bug 732708 from beta
Comment 11 Honza Bambas (:mayhemer) 2012-06-21 08:41:43 PDT
Created attachment 635334 [details] [diff] [review]
v1.1 for the beta channel

This is actually identical to v1.1 for the release channel, so no need for re-review.  Only change that needed to merge was the introduced patch from bug 762409.
Comment 12 :Ms2ger 2012-06-21 09:34:53 PDT
Comment on attachment 635333 [details] [diff] [review]
revert patches from bug 732708 from beta

Review of attachment 635333 [details] [diff] [review]:
-----------------------------------------------------------------

Haven't looked carefully, but nothing obviously wrong.
Comment 13 Honza Bambas (:mayhemer) 2012-06-21 09:41:01 PDT
Comment on attachment 635333 [details] [diff] [review]
revert patches from bug 732708 from beta

This patch effectively backs changesets: 17696f172c01, a188746249cd, 0d871550085e out of m-b.
Comment 14 Lukas Blakk [:lsblakk] use ?needinfo 2012-06-21 12:26:20 PDT
Comment on attachment 635334 [details] [diff] [review]
v1.1 for the beta channel

Approving for landing, will add qawanted to this bug to check mozilla-beta tinderbox builds after this lands and confirm that 14 matches up with expecations before next Tuesday's go to build.
Comment 15 Honza Bambas (:mayhemer) 2012-06-29 09:03:05 PDT
Comment on attachment 635333 [details] [diff] [review]
revert patches from bug 732708 from beta

https://hg.mozilla.org/releases/mozilla-beta/rev/421bb7a891ba
Comment 16 Honza Bambas (:mayhemer) 2012-06-29 09:03:38 PDT
Comment on attachment 635334 [details] [diff] [review]
v1.1 for the beta channel

https://hg.mozilla.org/releases/mozilla-beta/rev/03e87f48a3b9
Comment 17 Axel Hecht [:Pike] 2012-06-29 11:49:42 PDT
errrr, string changes?
Comment 18 Ed Morley [:emorley] 2012-06-29 13:32:35 PDT
(In reply to Honza Bambas (:mayhemer) from comment #15)
> Comment on attachment 635333 [details] [diff] [review]
> revert patches from bug 732708 from beta
> 
> https://hg.mozilla.org/releases/mozilla-beta/rev/421bb7a891ba

(In reply to Honza Bambas (:mayhemer) from comment #16)
> Comment on attachment 635334 [details] [diff] [review]
> v1.1 for the beta channel
> 
> https://hg.mozilla.org/releases/mozilla-beta/rev/03e87f48a3b9

Both backed out for failures in test_domstorage.xul@
https://tbpl.mozilla.org/?tree=Mozilla-Beta&rev=03e87f48a3b9

https://hg.mozilla.org/releases/mozilla-beta/rev/3b924d3422d6
Comment 19 j.j. 2012-06-29 14:27:43 PDT
Isn't this fixed by Microsoft or not? (I'm confused)
see bug 736731 comment 37
Comment 20 Raul D @ Yahoo! 2012-06-29 16:47:19 PDT
Yes, I can confirm that we pushed a fix and validated on 13 and 14. I was assuming 14 did not have the patch from Mozilla that would mask the need for the change. 

Do we need to check on 15?
Comment 21 Paul Silaghi, QA [:pauly] 2012-07-02 06:59:42 PDT
Inbox is auto-updating fine, but Junk folder isn't. Tested on FF 14b10 and Nightly 16.0a1 (2012-07-02) on Win 7/64.
Comment 22 Honza Bambas (:mayhemer) 2012-07-02 07:33:02 PDT
Raul, can you please confirm Paul's results?  

globalStorage feature *is* present on Firefox 13.0.1 only.  globalStorage *is not* present on any newer version of Firefox.
Comment 23 juan becerra [:juanb] 2012-07-09 10:52:30 PDT
I tested this by sending email from two different accounts to my hotmail.com account. One of the emails would always go into my inbox and the other would always go into the junk folder.

In addition I tested the MSN Messenger functionality online.

On Fx13.0 the inbox and junk folder auto updated and MNN Messenger worked.

On Fx13.0.1 the inbox and junk folder auto updated and MSN Messenger worked.

On Fx14.0b11 (latest) the inbox and junk folder auto updated and MSN Messenger worked.

On Fx15.0a2 (latest) neither the inbox nor the junk folder auto updated, but MSN Messenger worked.
Comment 24 Alex Keybl [:akeybl] 2012-07-09 13:09:10 PDT
(In reply to juan becerra [:juanb] from comment #23)
> On Fx14.0b11 (latest) the inbox and junk folder auto updated and MSN
> Messenger worked.
> 
> On Fx15.0a2 (latest) neither the inbox nor the junk folder auto updated, but
> MSN Messenger worked.

Honza - this is unexpected behavior, no? Given the positive testing with 14.0, we'll untrack there. But I'm moving the tracking flag to 15 to make sure we understand what's going on prior to release.
Comment 25 Honza Bambas (:mayhemer) 2012-07-11 12:04:01 PDT
Yes, that is strange.  I'll create a hotmail account and try to reproduce.  It could be a completely different bug, though.
Comment 26 Raul D @ Yahoo! 2012-07-11 12:20:43 PDT
Could be an issue with our fix against 15. I'll investigate on our side.
Comment 27 Raul D @ Yahoo! 2012-07-11 12:37:40 PDT
Hi folks,

Just verified on Aurora 15.0a2 (2012-07-11) and no repro.
The message list in the Inbox correctly auto-updates.

Should I try with different build?
Comment 28 Honza Bambas (:mayhemer) 2012-07-11 12:42:07 PDT
(In reply to Raul D @ Microsoft from comment #27)
> Hi folks,
> 
> Just verified on Aurora 15.0a2 (2012-07-11) and no repro.
> The message list in the Inbox correctly auto-updates.

Cool.  Thanks!  Why do you think you observed a failure before?  Could that be some random issue?

> 
> Should I try with different build?

If you have time now, try the nightly (Fx16) at http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla-central/ just to be sure, but I expect it to work, there are no major differences from Fx15 according DOM storage.
Comment 29 Raul D @ Yahoo! 2012-07-12 12:22:59 PDT
(In reply to Honza Bambas (:mayhemer) from comment #28)
> (In reply to Raul D @ Microsoft from comment #27)
> > Hi folks,
> > 
> > Just verified on Aurora 15.0a2 (2012-07-11) and no repro.
> > The message list in the Inbox correctly auto-updates.
> 
> Cool.  Thanks!  Why do you think you observed a failure before?  Could that
> be some random issue?
> 
> > 
> > Should I try with different build?
> 
> If you have time now, try the nightly (Fx16) at
> http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla-
> central/ just to be sure, but I expect it to work, there are no major
> differences from Fx15 according DOM storage.

Per comments 23, 25, I understood you still saw an issue on FF 15. I can't repro.
I verified no repro on Nightly FF 16 either.

Cheers
Comment 30 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-07-12 16:08:15 PDT
Per meeting discussion today, removing qawanted. Please re-add if there's something more QA can do here.
Comment 31 Lukas Blakk [:lsblakk] use ?needinfo 2012-07-18 09:26:59 PDT
[Triage Comment]
Untracking for 15 as per comment 29.

Note You need to log in before you can comment on or make changes to this bug.